pandas (2.3.3+dfsg-3ubuntu1) resolute; urgency=medium

  * Always xfail test_rolling_var_numerical_issues to
    avoid FTBFS on amd64v3 (LP: #2146928)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Mar 2026 20:08:29 +0000

pandas (2.3.3+dfsg-3build1) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 12:18:08 +0100

pandas (2.3.3+dfsg-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Team upload

  [ Rebecca N. Palmer ]
  * Tests: accept Python 3.14 wording of (expected) error messages
    (Closes: #1121955) and ignore new ResourceWarnings,
    improve cleanup, remove another dependency on python3-py,
    unconditionally require pyqt5 (Closes: #1119724).
  * Salsa CI: disable mostly-useless debrebuild.

 -- Graham Inggs <ginggs@debian.org>  Tue, 09 Dec 2025 11:19:37 +0000

pandas (2.3.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop unused dependency on RC-buggy python3-py
  * Drop "Rules-Requires-Root: no": it is the new default value

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 08:54:48 +0200

pandas (2.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1117200)
  * Update contributors and patches.
  * Tests: don't require warnings removed in numexpr 2.13.1.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 Oct 2025 16:54:01 +0100

pandas (2.3.2+dfsg-2) unstable; urgency=medium

  * Revert __version__ to the non-+dfsg form to not break mlpack.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 18 Sep 2025 15:08:15 +0100

pandas (2.3.2+dfsg-1) pandas2p3; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Docs reproducibility: fix some more random seeds.
  * Upload to unstable. (Closes: #1111280)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 04 Sep 2025 21:25:53 +0100

pandas (2.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Upload to experimental, due to potential breakage (see #1111280).
  * Use pybuild-plugin-pyproject, meson and more modern dh* style.
  * Docs: build-depend on pickleshare for bookmarks.
  * Docs reproducibility: strip ipykernel IDs and more times.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Clean up after tests.
  * autopkgtest: be less verbose to not overflow the CI log.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Aug 2025 14:31:43 +0100

pandas (2.2.3+dfsg-9) unstable; urgency=medium

  * Tests: ignore warning added in matplotlib 3.10. (Closes: #1101527)
  * Tests: run but ignore more (already) xfailed tests,
    but less verbosely to not overflow the log.
  * Tests: remove no longer needed xfails (#1068422 has been fixed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 29 Mar 2025 13:01:52 +0000

pandas (2.2.3+dfsg-8) unstable; urgency=medium

  * Re-add full build dependencies.
  * Allow building on ports without PyQt5.
  * README.source: document circular dependencies.
  * Ignore some more failing tests (workaround for #1088988).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 01 Feb 2025 18:39:17 +0000

pandas (2.2.3+dfsg-7) unstable; urgency=medium

  * Re-add some but not all build-deps, stop ignoring most tests
    and documentation fails (but still ignore #1094417).
  * Temporarily move matplotlib to Build-Depends-Indep.
  * Tests: remove no longer needed xfails.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 22:18:06 +0000

pandas (2.2.3+dfsg-6) unstable; urgency=medium

  * Tests: accept recent improvements in xarray and pyreadstat,
    avoid crash when creating reference.
  * Docs privacy: use local file for logo.
  * Temporarily ignore tests and documentation fails and drop some
    build-deps to unblock numpy2 transition
    (workaround for #1088988, #1094385).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 07:22:40 +0000

pandas (2.2.3+dfsg-5) unstable; urgency=medium

  * Docs: switch back to pydata-sphinx-theme.
  * Docs: (re-)add build-dependencies we now can satisfy.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Oct 2024 19:43:11 +0100

pandas (2.2.3+dfsg-4) unstable; urgency=medium

  * Re-enable docs using a different theme (workaround for #1084781).
  * Re-add dropped build-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Oct 2024 10:18:43 +0100

pandas (2.2.3+dfsg-3) unstable; urgency=medium

  * Ignore docs build fail (workaround for #1084781) and print log.
  * Docs: remove old pydata-sphinx-theme workarounds.
  * Temporarily drop some build-depends to break bootstrap cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Oct 2024 22:14:45 +0100

pandas (2.2.3+dfsg-2) unstable; urgency=medium

  * Move pyreadstat to Build-Depends-Indep to break cycle.
  * Allow building on ports without full test-Depends.
  * Re-enable sqlalchemy tests.
  * Stop using pkg_resources. (Closes: #1083523)
  * Tests: stop passing non-constant pytz.timezone
    directly to datetime.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Oct 2024 16:40:59 +0100

pandas (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1082096)
  * Update contributors, refresh patches.
  * Tests: keep 32-bit intervaltree xfailed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 17:21:40 +0100

pandas (2.2.2+dfsg-4) unstable; urgency=medium

  * Tests: re-enable bottleneck and tabulate (see #1070359, #1070360),
    make blosc xfail nonstrict, use pyproject.toml in autopkgtest,
    run autopkgtest in CI, be less verbose to fit in the CI log.
  * Add transition Breaks.
  * Upload to unstable. (Closes: #1069792)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Jul 2024 19:36:37 +0100

pandas (2.2.2+dfsg-3) experimental; urgency=medium

  * Tests: add forgotten import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 14:47:52 +0100

pandas (2.2.2+dfsg-2) experimental; urgency=medium

  * Allow importing pandas._testing without pytest.
  * Tests: don't require 32-bit to imply time32.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 11:29:54 +0100

pandas (2.2.2+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, depends.
  * Upload to experimental, due to potential breakage (see #1069792).
  * Tests: use our test data path, skip too-old dependencies,
    mark some tests as requiring optional dependencies,
    remove no longer needed patches, clean up afterwards.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 05 May 2024 14:40:45 +0100

pandas (2.1.4+dfsg-8) unstable; urgency=medium

  * Re-enable the documentation.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 13:50:13 +0100

pandas (2.1.4+dfsg-7) unstable; urgency=medium

  * Tests: don't require 32-bit to imply time32. (Closes: #1068104)
  * Temporarily disable the documentation (workaround for #1068349).
  * Tests: temporarily ignore dask tests (workaround for #1068422).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 05 Apr 2024 22:44:46 +0100

pandas (2.1.4+dfsg-6) unstable; urgency=medium

  * Tests: try again to stop testing __pycache__. (Closes: #1063959)
  * Tests: avoid FutureWarning from newer xarray. (Closes: #1066801)
  * Drop pytables test-depends (skipping tests) on architectures
    where it is not available. (Closes: #1064384)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Mar 2024 17:11:33 +0000

pandas (2.1.4+dfsg-5) unstable; urgency=medium

  * Tests: stop trying to test __pycache__. (Closes: #1063959)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Feb 2024 20:31:18 +0000

pandas (2.1.4+dfsg-4) unstable; urgency=medium

  * Tests: shorten ignoredtests to avoid timeout.
  * Temporarily skip numba tests (workaround for #1033907).
  * Update transition Breaks.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 09 Feb 2024 20:48:14 +0000

pandas (2.1.4+dfsg-3) unstable; urgency=medium

  * Add more transition Breaks (see #1043240).
  * Upload to unstable. (Closes: #1056828)
  * Tests: don't fail when (random) sum test input sums to near-0,
    use our paths, depend on pytest-localserver, skip broken test.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 01 Feb 2024 07:52:49 +0000

pandas (2.1.4+dfsg-2) experimental; urgency=medium

  * Fix autopkgtest syntax error.
  * Add more transition Breaks.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.
  * Tests: be compatible with current blosc2. (Closes: #1061043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 18:44:54 +0000

pandas (2.1.4+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Add transition Breaks.
  * Temporarily disable style.ipynb (workaround for #1057309).
  * Tests: ignore some DeprecationWarnings and pytables exceptions
    to allow building in Python 3.12 (see #1055801).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Dec 2023 22:06:00 +0000

pandas (2.1.3+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Re-enable numexpr for **, as upstream have decided to accept
    its different overflow behaviour.
  * Tests: fix autopkgtest syntax errors.
  * Allow building on ports without pyreadstat or matplotlib.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 12 Nov 2023 21:53:27 +0000

pandas (2.1.1+dfsg-2) experimental; urgency=medium

  * Tests: don't fail when xlsxwriter is not installed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 13 Oct 2023 19:43:13 +0100

pandas (2.1.1+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Don't test-depend on tabulate, because our version is too old.
  * Extend find_test_data to cover a new fixture.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Oct 2023 07:40:12 +0100

pandas (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, dependencies.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*,
    ignore warnings on Itanium,
    run with fixed locale set, skip not fail without matplotlib.
  * Docs: fix bug in previous reproducibility patch.
  * d/watch: Use git, as the tarball now excludes docs and test data.
  * Don't crash in setup.py clean.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 03 Sep 2023 22:06:46 +0100

pandas (2.0.3+dfsg-6) experimental; urgency=medium

  * Tests: try again to ignore NaN warnings on mips*.
  * Build on ports without sqlalchemy or working matplotlib.
  * Reproducibility: strip object addresses,
    disable some timestamps and random IDs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Aug 2023 11:17:44 +0100

pandas (2.0.3+dfsg-5) experimental; urgency=medium

  * Fix SAS I/O crash on armhf.
  * Clean up after documentation build.
  * Tests: ignore NaN warnings and 1**NaN, NaN**0 NaNs on mips*.
  * Docs: use fixed seeds for reproducibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Aug 2023 21:26:09 +0100

pandas (2.0.3+dfsg-4) experimental; urgency=medium

  * Ignore numba errors on most non-x86 systems (workaround
    for #1033907).  This already warns the user.
  * Run but ignore some previously skipped tests.
  * Tests: revert "don't use : in numexpr variable names"
    as that wasn't actually the problem.
  * Tests: ignore another non-warning on armel.
  * Fix spelling.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Aug 2023 09:26:03 +0100

pandas (2.0.3+dfsg-3) experimental; urgency=medium

  * Don't use numexpr for **, as it has different overflow behaviour.
  * Tests: don't use : in numexpr variable names.
  * Fix missing import on arm*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 17 Aug 2023 19:51:45 +0100

pandas (2.0.3+dfsg-2) experimental; urgency=medium

  * Clean up after tests.
  * Don't build in bare C locale.
  * Docs: make more plots reproducible.
  * Remove the warning that results may be wrong on mips*,
    as this appears to have been fixed.
  * Tests: don't fail on warnings we added.
  * Remove unnecessary HDF/Stata I/O warnings.
  * Depend on system tzdata not PyPI tzdata (see #1043968).
    Use tzdata-legacy where old-style timezone names are used.
  * Tests: re-enable dask tests (see #1043093).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Aug 2023 21:55:15 +0100

pandas (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, update dependencies.
  * Upload to experimental, due to potential breakage.
  * Add dask Breaks and disable tests (see #1043093).
  * Tests: re-enable numba tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Aug 2023 11:02:39 +0100

pandas (1.5.3+dfsg-4) unstable; urgency=medium

  * Docs: allow building with Sphinx 7.  (Closes: #1042672)
  * Remove unused python3-six dependencies.  (Closes: #1039441)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 30 Jul 2023 22:34:06 +0100

pandas (1.5.3+dfsg-3) unstable; urgency=medium

  * Tests: don't fail with fsspec 2023.  (Closes: #1042043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Jul 2023 07:57:11 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-pandas-lib`.
